Subject: Re: 'git show' with multiple revisions

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Apr 2015 09:08:14 -0700

Ed Avis <[email-masked]> writes:

> Junio C Hamano <gitster <at> pobox.com> writes:
>
>>"cat-file --batch" will give you the objects in the order you ask.
>
> Thanks, that makes it easy to deal with.  In fact, I might prefer to use
> git cat-file --batch-check and then use some other library to fetch the blob
> contents.

If all you need is a translation from extended SHA-1 object name
like HEAD~243:Documentation/README to the raw 40-hex object name,
"rev-parse" may turn out to be more suitable tool than that.

It of course depends on your use case.